std::__detail::_Rehash_base< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits > Struct Template Reference
Base and Implementation Classes
Inheritance diagram for std::__detail::_Rehash_base< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits >:
[legend]

## Detailed Description

### template<typename _Key, typename _Value, typename _Alloc, typename _ExtractKey, typename _Equal, typename _H1, typename _H2, typename _Hash, typename _RehashPolicy, typename _Traits>
struct std::__detail::_Rehash_base< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits >

Primary class template _Rehash_base.

Give hashtable the max_load_factor functions and reserve iff the rehash policy is _Prime_rehash_policy.

Definition at line 930 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h